=== debian/changelog ===
apertium-tat (0.1.0~r60887-2) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.1.5
    + Updated Homepage.
    + Updated Vcs-* fields.
    + Updated Depends.
    + Removed unneeded Build-Dep on hfst.
  * Bumped dh to 11.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Mon, 16 Jul 2018 11:00:46 +0530

apertium-tat (0.1.0~r60887-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #828100)
  * No tarball release, so taking directly from svn

 -- Kartik Mistry <kartik@debian.org>  Tue, 28 Jun 2016 09:22:12 +0530
